play

## Class Invoker.DirectInvocation

- java.lang.Object
- - play.Invoker.Invocation
  - - play.Invoker.DirectInvocation

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    ServletWrapper.ServletInvocation
  Enclosing class:
    Invoker

      public abstract static class Invoker.DirectInvocation
      extends Invoker.Invocation

  A direct invocation (in the same thread than caller)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `invocationType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectInvocation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Invoker.InvocationContext` | `getInvocationContext()`
    `boolean` | `init()` Init the call (especially useful in DEV mode to detect changes)
    `void` | `suspend(Invoker.Suspend suspendRequest)` The request is suspended

    - ### Methods inherited from class play.Invoker.Invocation

      `_finally, after, before, execute, onException, onSuccess, preInit, run`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### invocationType

          public static final java.lang.String invocationType

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DirectInvocation

          public DirectInvocation()

  - ### Method Detail

    - #### init

          public boolean init()

      Description copied from class: `Invoker.Invocation`
      Init the call (especially useful in DEV mode to detect changes)
      Overrides:
        `init` in class `Invoker.Invocation`
      Returns:
        true if successful

    - #### suspend

          public void suspend(Invoker.Suspend suspendRequest)

      Description copied from class: `Invoker.Invocation`
      The request is suspended
      Overrides:
        `suspend` in class `Invoker.Invocation`
      Parameters:
        `suspendRequest` - the suspended request

    - #### getInvocationContext

          public Invoker.InvocationContext getInvocationContext()

      Specified by:
        `getInvocationContext` in class `Invoker.Invocation`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly